Subject: [bug#39989] [PATCH] gnu: thunar: Wrap with glib:bin to fix launching programs.

From: Jan <[email-masked]>
Date: Mon, 9 Mar 2020 23:36:22 +0100

On Mon, 09 Mar 2020 22:43:13 +0100
Diego Nicola Barbato <[email-masked]> wrote:

> I would like to point out — in case you don't already know — that the
> issue addressed in this patch is not specific to thunar.  It also
> shows up in MATE (https://debbugs.gnu.org/38135) and is caused by
> glib itself looking for gio-launch-desktop in $PATH.  More
> importantly, it has already been fixed on in commit
> 0bcc1b14fc3e2382406b97577c56e2292b96b8d4 on core-updates (which is
> why the aforementioned bug has been closed).
> 
> Regards,
> 
> Diego

This explains why both Mate and Xfce were broken, I kept this in my
mind as one possibility, but the long time it took to fix it made me
think it's not.
Thanks for the information! 
At least I didn't completely waste my time, because I learned something
about wrappers :)

Jan Wielkiewicz